> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get delegation changelog revision



## OpenAPI

````yaml get /v1/delegations/{id}/changelog/{revisionId}
openapi: 3.0.0
info:
  title: Decision APIs Specification
  description: Section for description
  version: '1.0'
  contact: {}
servers:
  - url: https://staging.api.us.aptlydone.com/decision
  - url: https://staging.api.eu.aptlydone.com/decision
  - url: https://api.us.aptlydone.com/decision
  - url: https://api.eu.aptlydone.com/decision
security: []
tags: []
paths:
  /v1/delegations/{id}/changelog/{revisionId}:
    get:
      tags:
        - delegations
      summary: Get delegation changelog revision
      operationId: DelegationController_getDelegationChangelogRevisionDetails_v1
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: revisionId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: Delegation changelog revision details retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DelegationChangelogItemDtoResponse'
      security:
        - accessToken: []
components:
  schemas:
    DelegationChangelogItemDtoResponse:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP Status code
          example: 200
        timestamp:
          type: string
          description: Timestamp of the response
          example: '2026-01-08T06:33:50.384Z'
        message:
          type: string
          description: Response message
          example: Success
        data:
          description: Response data
          allOf:
            - $ref: '#/components/schemas/DelegationChangelogItemDto'
      required:
        - statusCode
        - timestamp
        - message
        - data
    DelegationChangelogItemDto:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Unique identifier
        tenantId:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Tenant ID
        delegationId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Delegation ID
        revisionId:
          type: string
          description: Revision ID
          example: '123456'
        revisionDate:
          format: date-time
          type: string
          example: '2024-12-18T09:50:43.338Z'
          description: Revision date timestamp
        revisedById:
          type: string
          example: 105fa115-52d0-4466-baff-740447a60774
          description: Revised by user ID
        revisedByName:
          type: string
          example: John Doe
          description: Revised by username
        delegationChangelogDetails:
          description: Delegation Changelog Details
          type: array
          items:
            $ref: '#/components/schemas/DelegationChangelogDetailItem'
      required:
        - id
        - tenantId
        - delegationId
        - revisionId
        - revisionDate
        - revisedById
        - revisedByName
        - delegationChangelogDetails
    DelegationChangelogDetailItem:
      type: object
      properties:
        id:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: Delegation Changelog Detail ID
        delegationChangelogId:
          type: string
          example: 7df90da4-0634-40b9-abf5-6e97a222cfb8
          description: ID of delegation changelog
        fieldName:
          type: string
          example: name
          description: Field Name
        originalValue:
          type: string
          nullable: true
          example: Long-term Investments
          description: Original Value
        updatedValue:
          type: string
          nullable: true
          example: Long-term Investments 1
          description: Updated Value
      required:
        - id
        - delegationChangelogId
        - fieldName
        - originalValue
        - updatedValue
  securitySchemes:
    accessToken:
      scheme: bearer
      bearerFormat: JWT
      type: http

````